#include "qcodeeditplugin.h"

#include "qcodeedit.h"

#include <QtCore/QtPlugin>


QCodeEditPlugin::QCodeEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QCodeEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QCodeEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QCodeEditPlugin::createWidget(QWidget * parent) {
	return new QCodeEdit(parent);
}


QString QCodeEditPlugin::name() const {
	return QLatin1String("QCodeEdit");
}


QString QCodeEditPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon QCodeEditPlugin::icon() const {
	return QIcon(":/icons/widgets/qcodeedit.png");
}


QString QCodeEditPlugin::toolTip() const {
	return QLatin1String("QCodeEdit");
}


QString QCodeEditPlugin::whatsThis() const {
	return QLatin1String("QCodeEdit");
}


bool QCodeEditPlugin::isContainer() const {
	return false;
}


QString QCodeEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"QCodeEdit\" name=\"codeEdit\">\n</widget>\n");
}


QString QCodeEditPlugin::includeFile() const {
	return QLatin1String("qcodeedit.h");
}
